// 01_visualizers / main.cpp
#include <string>
#include <memory>

struct Circle {
    double cx, cy, r;
};

struct Container {
    std::shared_ptr<Circle> c1, c2;
    Container(std::shared_ptr<Circle> c1, 
              std::shared_ptr<Circle> c2)
        : c1(c1), c2(c2) {};
};

int main() {
    auto c1 = std::shared_ptr<Circle>(
        new Circle{100.0, 200.0, 10.0});
    auto c2 = std::shared_ptr<Circle>(
        new Circle{144.0, 222.0, -33.0});
    auto container = std::make_shared<Container>(
        c1, c2);
    // watch container with .natvis visualizer
    __debugbreak();
}

